
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/14 13:28
 */
public class OrderSettlementSimpleVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id列表")
    private List<Long> orderIds;

    @Schema(description = "支付单号")
    private Long payId;

    @Schema(description = "支付单号集合，目前只有预售订单存在多条")
    private String payIds;

    public List<Long> getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(List<Long> orderIds) {
        this.orderIds = orderIds;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public String getPayIds() {
        return payIds;
    }

    public void setPayIds(String payIds) {
        this.payIds = payIds;
    }

    @Override
    public String toString() {
        return "OrderSettlementSimpleVO{" +
                "orderIds=" + orderIds +
                ", payId=" + payId +
                ", payIds='" + payIds + '\'' +
                '}';
    }
}
